# Generate file :

To generate the file :
- post request on http://localhost:8888/
- Content-Type: multipart/form-data
- file given as template field
- data given as variables field 

## Examples

Example well generated for the template file stading at `./files/course.odt` :

```
curl -X POST -H "Content-Type: multipart/form-data" -F "template=@$(pwd)/files/course.odt" -F 'variables={"course": {"id": 123, "actions": [{"type": "Introduire demande AEB", "par": {"type": "user", "text": "Dominique A"}, "depuis": {"short": "15/01/2021"}}, {"type": "Introduire demande d aide CCAS", "par": {"type": "user", "text": "Dominique A"}, "depuis": {"short": "15/01/2021"}}], "participants": [{"type": "person", "id": 4362533, "text": "Diakite DIALLO", "firstName": "Diakite", "lastName": "DIALLO", "birthdate": {"short": "25/05/1991"}, "deathdate": null, "center": null, "phonenumber": "+32486540660", "mobilenumber": "", "altNames": [], "gender": "man", "current_household_address": {"address_id": 816043, "text": "6, RUE DES BOUTONS D OR", "street": "RUE DES BOUTONS D OR", "streetNumber": "6", "postcode": {"id": 54055, "name": "La Ferriere", "code": "85280"}, "country": {"id": 48375, "name": {"fr": "France"}, "code": "FR"}, "floor": null, "corridor": null, "steps": null, "flat": null, "buildingName": null, "distribution": null, "extra": null, "validFrom": {"date": "2010-07-30 00:00:00.000000", "timezone_type": 3, "timezone": "Europe/Brussels"}, "validTo": null, "addressReference": {"id": 243827, "refId": "15083", "street": "RUE DES BOUTONS D OR", "streetNumber": "6", "postcode": {"id": 54055, "origin": 0, "name": "La Ferriere", "code": "85280", "country": {"id": 48375, "name": {"fr": "France"}, "countryCode": "FR"}, "refPostalCodeId": "85089", "postalCodeSource": "INSEE", "center": {"type": "Point", "coordinates": [-1.334693323, 46.721587293]}}, "municipalityCode": "85280", "source": "BAL GeoVendee", "point": {"type": "Point", "coordinates": [-1.94906407, 46.86852089]}}}, "current_household_id": 395922}, {"type": "person", "id": 4362534, "text": "Mohamed DIALLO", "firstName": "Mohamed", "lastName": "DIALLO", "birthdate": {"datetime": "1956-11-10T00:00:00+0100"}, "deathdate": null, "center": null, "phonenumber": "", "mobilenumber": "", "altNames": [], "gender": "woman", "current_household_address": null, "current_household_id": null}, {"type": "person", "id": 4362535, "text": "Fatou DIALLO", "firstName": "Fatou", "lastName": "DIALLO", "birthdate": {"datetime": "1959-02-27T00:00:00+0100"}, "deathdate": null, "center": null, "phonenumber": "", "mobilenumber": "", "altNames": [], "gender": "woman", "current_household_address": {"address_id": 817808, "text": "39, RUE DE BEL-AIR", "street": "RUE DE BEL-AIR", "streetNumber": "39", "postcode": {"id": 53938, "name": "Les Sables D Olonne", "code": "85100"}, "country": {"id": 48375, "name": {"fr": "France"}, "code": "FR"}, "floor": null, "corridor": null, "steps": null, "flat": null, "buildingName": null, "distribution": null, "extra": null, "validFrom": {"date": "2021-11-19 00:00:00.000000", "timezone_type": 3, "timezone": "Europe/Brussels"}, "validTo": null, "addressReference": {"id": 243779, "refId": "11974", "street": "RUE DE BEL-AIR", "streetNumber": "39", "postcode": {"id": 53938, "origin": 0, "name": "Les Sables D Olonne", "code": "85100", "country": {"id": 48375, "name": {"fr": "France"}, "countryCode": "FR"}, "refPostalCodeId": "85194", "postalCodeSource": "INSEE", "center": {"type": "Point", "coordinates": [-1.792551287, 46.50076128]}}, "municipalityCode": "85100", "source": "BAL GeoVendee", "point": {"type": "Point", "coordinates": [-1.89690906, 46.66880876]}}}, "current_household_id": 395929}]}};type=application/json'  http://localhost:8888/ --output output.odt
```

Example for a broken template file that stads at `./files/course_error.odt` :


```
curl -X POST -H "Content-Type: multipart/form-data" -F "template=@$(pwd)/files/course_error.odt" -F 'variables={"course": {"id": 123, "actions": [{"type": "Introduire demande AEB", "par": {"type": "user", "text": "Dominique A"}, "depuis": {"short": "15/01/2021"}}, {"type": "Introduire demande d aide CCAS", "par": {"type": "user", "text": "Dominique A"}, "depuis": {"short": "15/01/2021"}}], "participants": [{"type": "person", "id": 4362533, "text": "Diakite DIALLO", "firstName": "Diakite", "lastName": "DIALLO", "birthdate": {"short": "25/05/1991"}, "deathdate": null, "center": null, "phonenumber": "+32486540660", "mobilenumber": "", "altNames": [], "gender": "man", "current_household_address": {"address_id": 816043, "text": "6, RUE DES BOUTONS D OR", "street": "RUE DES BOUTONS D OR", "streetNumber": "6", "postcode": {"id": 54055, "name": "La Ferriere", "code": "85280"}, "country": {"id": 48375, "name": {"fr": "France"}, "code": "FR"}, "floor": null, "corridor": null, "steps": null, "flat": null, "buildingName": null, "distribution": null, "extra": null, "validFrom": {"date": "2010-07-30 00:00:00.000000", "timezone_type": 3, "timezone": "Europe/Brussels"}, "validTo": null, "addressReference": {"id": 243827, "refId": "15083", "street": "RUE DES BOUTONS D OR", "streetNumber": "6", "postcode": {"id": 54055, "origin": 0, "name": "La Ferriere", "code": "85280", "country": {"id": 48375, "name": {"fr": "France"}, "countryCode": "FR"}, "refPostalCodeId": "85089", "postalCodeSource": "INSEE", "center": {"type": "Point", "coordinates": [-1.334693323, 46.721587293]}}, "municipalityCode": "85280", "source": "BAL GeoVendee", "point": {"type": "Point", "coordinates": [-1.94906407, 46.86852089]}}}, "current_household_id": 395922}, {"type": "person", "id": 4362534, "text": "Mohamed DIALLO", "firstName": "Mohamed", "lastName": "DIALLO", "birthdate": {"datetime": "1956-11-10T00:00:00+0100"}, "deathdate": null, "center": null, "phonenumber": "", "mobilenumber": "", "altNames": [], "gender": "woman", "current_household_address": null, "current_household_id": null}, {"type": "person", "id": 4362535, "text": "Fatou DIALLO", "firstName": "Fatou", "lastName": "DIALLO", "birthdate": {"datetime": "1959-02-27T00:00:00+0100"}, "deathdate": null, "center": null, "phonenumber": "", "mobilenumber": "", "altNames": [], "gender": "woman", "current_household_address": {"address_id": 817808, "text": "39, RUE DE BEL-AIR", "street": "RUE DE BEL-AIR", "streetNumber": "39", "postcode": {"id": 53938, "name": "Les Sables D Olonne", "code": "85100"}, "country": {"id": 48375, "name": {"fr": "France"}, "code": "FR"}, "floor": null, "corridor": null, "steps": null, "flat": null, "buildingName": null, "distribution": null, "extra": null, "validFrom": {"date": "2021-11-19 00:00:00.000000", "timezone_type": 3, "timezone": "Europe/Brussels"}, "validTo": null, "addressReference": {"id": 243779, "refId": "11974", "street": "RUE DE BEL-AIR", "streetNumber": "39", "postcode": {"id": 53938, "origin": 0, "name": "Les Sables D Olonne", "code": "85100", "country": {"id": 48375, "name": {"fr": "France"}, "countryCode": "FR"}, "refPostalCodeId": "85194", "postalCodeSource": "INSEE", "center": {"type": "Point", "coordinates": [-1.792551287, 46.50076128]}}, "municipalityCode": "85100", "source": "BAL GeoVendee", "point": {"type": "Point", "coordinates": [-1.89690906, 46.66880876]}}}, "current_household_id": 395929}]}};type=application/json'  http://localhost:8888/ --output output.odt
```

